var _ = require('lodash')
  , HapiMeal = require('hapi-meal');

/**
 * Home controller
 * @type {Function}
 */
var IndexController = module.exports = function IndexController () {
  HapiMeal.Controller.prototype.constructor.apply(this, arguments);
};

_.extend(
  IndexController.prototype,
  HapiMeal.Controller.prototype
);

_.extend(
  IndexController.prototype,
  {
    indexAction: function (request, data) {
      data.title = 'Welcome';
      return request.reply.view(data.viewName, data);
    },

    secretAction: function (request, data) {
      if (data.user) {
        data.title = 'Secret';
        return request.reply.view(data.viewName, data);
      } else {
        return request.reply.redirect('/');
      }
    }
  }
);
